package com.goafanti.common.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.FieldGlossory;

public interface FieldGlossoryMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(FieldGlossory record);

    int insertSelective(FieldGlossory record);

    FieldGlossory selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(FieldGlossory record);

    int updateByPrimaryKey(FieldGlossory record);

	List<FieldGlossory> getField(@Param("pid")Integer pid, @Param("level")Integer level);
}